From 83ff8d3f5c556e9f7bdb0489a5868252646ba187 Mon Sep 17 00:00:00 2001
From: Akash Mehrotra <mehrotra.akash@gmail.com>
Date: Sat, 18 Jun 2011 00:21:27 +0530
Subject: [PATCH 2/2] Fixes occasional corruption of "equalizer-bands"

---
 modules/gui/qt4/components/extended_panels.cpp |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/modules/gui/qt4/components/extended_panels.cpp b/modules/gui/qt4/components/extended_panels.cpp
index b3f5501..5866ec1 100644
--- a/modules/gui/qt4/components/extended_panels.cpp
+++ b/modules/gui/qt4/components/extended_panels.cpp
@@ -1041,7 +1041,8 @@ void Equalizer::setCoreBands()
         band_texts[i]->setText( band_frequencies[i] + "\n" + val + "dB" );
         values += " " + val;
     }
-    const char *psz_values = values.toAscii().constData();
+    std::string s = values.toStdString();
+    const char *psz_values=s.c_str();
 
     aout_instance_t *p_aout = THEMIM->getAout();
     if( p_aout )
-- 
1.7.4.1

